---
title: SVGPathElement
slug: Web/API/SVGPathElement
tags:
  - API
  - NeedsExample
  - Reference
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}</div>

<p>The <strong><code>SVGPathElement</code></strong> interface corresponds to the {{SVGElement("path")}} element.</p>

<p>{{InheritanceDiagram(600, 140)}}</p>

<div class="note">
<p><strong>Note:</strong> In SVG 2 the <code>getPathSegAtLength()</code> and <code>createSVGPathSeg*</code> methods were removed and the <code>pathLength</code> property and the <code>getTotalLength()</code> and <code>getPointAtLength()</code> methods were moved to {{domxref("SVGGeometryElement")}}.</p>
</div>

<h2 id="Properties">Properties</h2>

<p><em>This interface also inherits properties from its parent, </em><em>{{domxref("SVGGeometryElement")}}.</em></p>

<dl>
 <dt>{{domxref("SVGPathElement.pathLength")}} {{deprecated_inline}}</dt>
 <dd>
 <p>An {{domxref("SVGAnimatedNumber")}} corresponding to the {{SVGAttr("pathLength")}} attribute of the given {{SVGElement("path")}} element.</p>

 <div class="note"><strong>Note:</strong> In SVG 2 this property was moved to the {{domxref("SVGGeometryElement")}} interface, from which this interface inherits it.</div>
 </dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface also inherits methods from its parent, </em><em>{{domxref("SVGGeometryElement")}}.</em></p>

<dl>
 <dt>{{domxref("SVGPathElement.getTotalLength()")}} {{deprecated_inline}}</dt>
 <dd>
 <p>Returns a float representing the computed value for the total length of the path using the browser's distance-along-a-path algorithm, as a distance in the current user coordinate system.</p>

 <div class="note"><strong>Note:</strong> In SVG 2 this method was moved to the {{domxref("SVGGeometryElement")}} interface, from which this interface inherits it.</div>
 </dd>
 <dt>{{domxref("SVGPathElement.getPointAtLength()")}} {{deprecated_inline}}</dt>
 <dd>
 <p>Returns an {{domxref("SVGPoint")}} representing the x and y coordinates in user space utilizing the browser's distance-along-a-path algorithm.</p>

 <div class="note"><strong>Note:</strong> In SVG 2 this method was moved to the {{domxref("SVGGeometryElement")}} interface, from which this interface inherits it.</div>
 </dd>
 <dt>{{domxref("SVGPathElement.getPathSegAtLength()")}} {{deprecated_inline}}</dt>
 <dd>Returns an unsigned long representing the index within the {{domxref("SVGAnimatedPathData.pathSegList", "pathSegList")}} utilizing the user agent's distance-along-a-path algorithm.</dd>
 <dt>{{domxref("SVGPathElement.createSVGPathSegClosePath()")}} {{deprecated_inline}}</dt>
 <dd>Returns a stand-alone, parentless {{domxref("SVGPathSegClosePath")}} object.</dd>
 <dt>{{domxref("SVGPathElement.createSVGPathSegMovetoAbs()")}} {{deprecated_inline}}</dt>
 <dd>Returns a stand-alone, parentless {{domxref("SVGPathSegMovetoAbs")}} object.</dd>
 <dt>{{domxref("SVGPathElement.createSVGPathSegMovetoRel()")}} {{deprecated_inline}}</dt>
 <dd>Returns a stand-alone, parentless {{domxref("SVGPathSegMovetoRel")}} object.</dd>
 <dt>{{domxref("SVGPathElement.createSVGPathSegLinetoAbs()")}} {{deprecated_inline}}</dt>
 <dd>Returns a stand-alone, parentless {{domxref("SVGPathSegLinetoAbs")}} object.</dd>
 <dt>{{domxref("SVGPathElement.createSVGPathSegLinetoRel()")}} {{deprecated_inline}}</dt>
 <dd>Returns a stand-alone, parentless {{domxref("SVGPathSegLinetoRel")}} object.</dd>
 <dt>{{domxref("SVGPathElement.createSVGPathSegCurvetoCubicAbs()")}} {{deprecated_inline}}</dt>
 <dd>Returns a stand-alone, parentless {{domxref("SVGPathSegCurvetoCubicAbs")}} object.</dd>
 <dt>{{domxref("SVGPathElement.createSVGPathSegCurvetoCubicRel()")}} {{deprecated_inline}}</dt>
 <dd>Returns a stand-alone, parentless {{domxref("SVGPathSegCurvetoCubicRel")}} object.</dd>
 <dt>{{domxref("SVGPathElement.createSVGPathSegCurvetoQuadraticAbs()")}} {{deprecated_inline}}</dt>
 <dd>Returns a stand-alone, parentless {{domxref("SVGPathSegCurvetoQuadraticAbs")}} object.</dd>
 <dt>{{domxref("SVGPathElement.createSVGPathSegCurvetoQuadraticRel()")}} {{deprecated_inline}}</dt>
 <dd>Returns a stand-alone, parentless {{domxref("SVGPathSegCurvetoQuadraticRel")}} object.</dd>
 <dt>{{domxref("SVGPathElement.createSVGPathSegArcAbs()")}} {{deprecated_inline}}</dt>
 <dd>Returns a stand-alone, parentless {{domxref("SVGPathSegArcAbs")}} object.</dd>
 <dt>{{domxref("SVGPathElement.createSVGPathSegArcRel()")}} {{deprecated_inline}}</dt>
 <dd>Returns a stand-alone, parentless {{domxref("SVGPathSegArcRel")}} object.</dd>
 <dt>{{domxref("SVGPathElement.createSVGPathSegLinetoHorizontalAbs()")}} {{deprecated_inline}}</dt>
 <dd>Returns a stand-alone, parentless {{domxref("SVGPathSegLinetoHorizontalAbs")}} object.</dd>
 <dt>{{domxref("SVGPathElement.createSVGPathSegLinetoHorizontalRel()")}} {{deprecated_inline}}</dt>
 <dd>Returns a stand-alone, parentless {{domxref("SVGPathSegLinetoHorizontalRel")}} object.</dd>
 <dt>{{domxref("SVGPathElement.createSVGPathSegLinetoVerticalAbs()")}} {{deprecated_inline}}</dt>
 <dd>Returns a stand-alone, parentless {{domxref("SVGPathSegLinetoVerticalAbs")}} object.</dd>
 <dt>{{domxref("SVGPathElement.createSVGPathSegLinetoVerticalRel()")}} {{deprecated_inline}}</dt>
 <dd>Returns a stand-alone, parentless {{domxref("SVGPathSegLinetoVerticalRel")}} object.</dd>
 <dt>{{domxref("SVGPathElement.createSVGPathSegCurvetoCubicSmoothAbs()")}} {{deprecated_inline}}</dt>
 <dd>Returns a stand-alone, parentless {{domxref("SVGPathSegCurvetoCubicSmoothAbs")}} object.</dd>
 <dt>{{domxref("SVGPathElement.createSVGPathSegCurvetoCubicSmoothRel()")}} {{deprecated_inline}}</dt>
 <dd>Returns a stand-alone, parentless {{domxref("SVGPathSegCurvetoCubicSmoothRel")}} object.</dd>
 <dt>{{domxref("SVGPathElement.createSVGPathSegCurvetoQuadraticSmoothAbs()")}} {{deprecated_inline}}</dt>
 <dd>Returns a stand-alone, parentless {{domxref("SVGPathSegCurvetoQuadraticSmoothAbs")}} object.</dd>
 <dt>{{domxref("SVGPathElement.createSVGPathSegCurvetoQuadraticSmoothRel()")}} {{deprecated_inline}}</dt>
 <dd>Returns a stand-alone, parentless {{domxref("SVGPathSegCurvetoQuadraticSmoothRel")}} object.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "paths.html#InterfaceSVGPathElement", "SVGPathElement")}}</td>
   <td>{{Spec2('SVG2')}}</td>
   <td>Removed the <code>getPathSegAtLength()</code> and <code>createSVGPathSeg*</code> methods and moved the <code>pathLength</code> property and the <code>getTotalLength()</code> and <code>getPointAtLength()</code> methods to {{domxref("SVGGeometryElement")}}.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "paths.html#InterfaceSVGPathElement", "SVGPathElement")}}</td>
   <td>{{Spec2('SVG1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGPathElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("path")}} SVG Element</li>
</ul>
